// listItemData.h

#pragma once
#include "stdafx.h"

struct stringPool {

	stringPool();
	int pool(std::string& str);
	std::string get(unsigned int idx);

private:
	std::map<std::string, int> store;
	std::vector<std::map<std::string, int>::iterator> lookup;
};

extern stringPool spool; // only one in the whole program

struct listItemData {

	int m_path;
	std::string m_fname;
	bool m_bIsQueued;
	bool m_bAlreadyPlayed;

	listItemData(int path, std::string fname);
	std::string getFullPath();
	std::string format(int display_mode);

};

